plugins {
    id("jfmod")
}

allprojects {
    group = "io.gitlab.jfronny.libjf"
}

val fabricVersion by extra("0.86.1+1.20.1")
val commonsVersion by extra("1.3-SNAPSHOT")
val gsonCompileVersion by extra("1.3-SNAPSHOT")
val modmenuVersion by extra("7.2.1")

val annotationsVersion by extra("24.0.1")
val javapoetVersion by extra("1.13.0")

jfMod {
    minecraftVersion = "1.20.1"
    yarn("build.10")
    loaderVersion = "0.14.22"

    modrinth {
        projectId = "libjf"
        optionalDependencies.add("fabric-api")
    }
    curseforge {
        projectId = "482600"
        optionalDependencies.add("fabric-api")
    }
}

allprojects {
    if (!rootProject.jfMod.isMod(this)) return@allprojects

    base {
        archivesName = "libjf"
    }

    dependencies {
        modLocalRuntime("com.terraformersmc:modmenu:$modmenuVersion") {
            exclude("net.fabricmc") // required to work around duplicate fabric loaders
        }
        modLocalRuntime(fabricApi.module("fabric-command-api-v2", fabricVersion))
        compileOnly("io.gitlab.jfronny:commons:$commonsVersion")
        compileOnly("io.gitlab.jfronny:commons-gson:$commonsVersion")
    }
}
